﻿@{
    ViewBag.Title = "Home Page";
}

<div class="row" ng-app="crudApp" ng-controller="crudController">
    
    <div class="container" ng-init="ListadoDatos()">
        <br />
        <br />
        <div class="alert alert-success alert-dismissible" ng-show="success">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
            {{successMessage}}
        </div>
        <div align="left">
            <button type="button" name="add_button" ng-click="addData()" class="btn btn-success">Agregar</button>
        </div>
        <br/>
        <div class="form-inline">
            <div class="form-group">
                <label for="fechaIni">Fecha Inicio </label>
                <input size="16" type="text" class="form-control" id="datetimeIni" ng-model="datetimeIni" readonly>
            </div>
            <div class="form-group">
                <label for="fecahFin">Fecha Fin </label>
                <input size="16" type="text" class="form-control" id="datetimeFin" ng-model="datetimeFin" readonly>               
            </div>
            
            <button type="button" ng-click="BuscarPorFecha()" class="btn btn-primary mb-2">Busqueda</button>
        </div>
        <br />
        <div class="table-responsive" style="overflow-x: unset;">
            <table datatable="ng" dt-options="vm.dtOptions" class="table table-bordered table-striped">
                <thead>
                    <tr>
                        <th>Nombres</th>
                        <th>Correo</th>
                        <th>Calificacion</th>
                        <th>Fecha Registro</th>
                        <th>Editar</th>
                        <th>Eliminar</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="name in namesData">
                        <td>{{name.sNombres}}</td>
                        <td>{{name.sCorreo}}</td>
                        <td>{{name.iCalificacion}}</td>
                        <td>{{name.dFechaRegistro}}</td>
                        <td><button type="button" ng-click="ListarUnaEvaluacion(name.lIdEvaluacionServicio)" class="btn btn-warning btn-xs" >Editar</button></td>
                        <td><button type="button" ng-click="deleteData(name.lIdEvaluacionServicio)" class="btn btn-danger btn-xs">Eliminar</button></td>
                    </tr>
                </tbody>
            </table>
        </div>

    </div>

   
    <div class="modal fade" tabindex="-1" role="dialog" id="crudmodal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form method="post" ng-submit="submitForm()">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">{{modalTitle}}</h4>
                    </div>
                    <div class="modal-body">
                        <div class="alert alert-danger alert-dismissible" ng-show="error">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                            {{errorMessage}}
                        </div>
                        <div class="form-group">
                            <label>Nombres</label>
                            <input type="text" name="txtNombres" ng-model="txtNombres" class="form-control" />
                        </div>
                        <div class="form-group">
                            <label>Correo</label>
                            <input type="text" name="txtCorreo" ng-model="txtCorreo" class="form-control" />
                        </div>
                        <div class="form-group">
                            <label>Calificación</label>
                            <input type="number" name="txtCalificacion" ng-model="txtCalificacion" value="0" maxlength="2"  size="10" class="form-control" />
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="hidden_id" value="{{hidden_id}}" />
                        <input type="submit" name="submit" id="submit" class="btn btn-info" value="{{submit_button}}" />
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>


</div>





